6.0.0-git
2021-01-18

[#9856] Signup page does not work
Summary Signup page does not work
Queue Horde Framework Packages
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners chuck (at) horde (dot) org
Requester iron_hat (at) hotmail (dot) com
Created 2011-04-09 (3572 days ago)
Due
Updated 2011-04-10 (3571 days ago)
Assigned 2011-04-09 (3572 days ago)
Resolved 2011-04-10 (3571 days ago)
Milestone
Patch Yes

History
2011-04-10 21:01:13 Chuck Hagenbuch Comment #5
Taken from Horde DevelopersHorde Developers
State ⇒ Resolved
Reply to this comment
This is working now for me, though I mostly tested with approved 
signups, not auto-approved.
2011-04-10 20:55:40 Git Commit Comment #4 Reply to this comment
Changes have been made in Git for this ticket:

Fix signups, and update style on signup and reset password pages to 
match the login page (Bug #9856, partially from Ian Roth 
<iron_hat@hotmail.com>).

  14 files changed, 213 insertions(+), 49 deletions(-)
http://git.horde.org/horde-git/-/commit/33bbf13f4e69c0dd1d9907190c7860de2c5705d1
2011-04-10 02:53:04 Chuck Hagenbuch Comment #3 Reply to this comment
Most of this looks right; not sure about the $name change yet. I'm 
trying to take a crack at fixing the signup and reset password pages 
to use the same look & feel as the login screen.
2011-04-09 17:01:53 Chuck Hagenbuch Comment #2
Assigned to Chuck Hagenbuch
Assigned to Horde DevelopersHorde Developers
State ⇒ Assigned
Reply to this comment
2011-04-09 03:02:23 iron_hat (at) hotmail (dot) com Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Signup page does not work
Queue ⇒ Horde Framework Packages
Milestone ⇒
Patch ⇒ Yes
Reply to this comment
The signup page does not work. Fixes can be found in pull request 8 on 
github. The following errors were encountered:

  PHP Fatal error:  Cannot call constructor in 
/usr/local/share/pear/Horde/Core/Auth/Signup/Sql.php on line 29

  PHP Fatal error:  require() [<a 
href='function.require'>function.require</a>]: Failed opening required 
'/vhost/horde/lib/../templates/login/header.inc' 
(include_path='/vhost/horde/lib:.:/usr/local/share/pear') in 
/vhost/horde/signup.php on line 69

  PHP Fatal error:  Cannot access protected property 
Horde_Core_Auth_Signup_SQLObject::$name in 
/usr/local/share/pear/Horde/Core/Auth/Signup/Base.php on line 81, 
referer: https://hot-rain.com/signup.php?url

Saved Queries